-- Author: Nerino1
-- Create Date : 9/13/2016
-- Version 1.0

local f=CreateFrame("frame");
f:RegisterEvent("PLAYER_LOGIN");

local function eventhandler(self,event)
	if event == "PLAYER_LOGIN" then
		if UnitLevel("player") <= 99 then
			artifactbtn:Hide()
			do return end
		end
		DEFAULT_CHAT_FRAME:AddMessage("Artifact Button Loaded.");
	end
end

f:SetScript("OnEvent",eventhandler);

local btn = CreateFrame("Button", "artifactbtn", PaperDollFrame, "OptionsButtonTemplate");
btn:SetPoint("BOTTOMLEFT", 15, 10)
btn:SetText("Artifact")
btn:SetScript("OnClick", function() QueryArtifact() end)


function openArtifactWeapon()
    SocketInventoryItem(16);
end

function QueryArtifact()
    local QUALITY = {}
    QUALITY.POOR = 0;
    QUALITY.COMMON = 1;
    QUALITY.UNCOMMON = 2;
    QUALITY.RARE = 3;
    QUALITY.EPIC = 4;
    QUALITY.LEGENDARY = 5;
    QUALITY.ARTIFACT = 6;
    QUALITY.HEIRLOOM = 7;
    local currentWeapon = GetInventoryItemID("player", GetInventorySlotInfo("MainHandSlot"));
    if currentWeapon == nil then
        print("You do not have any weapon equipped.");
        return
    end
    name, link, quality, iLvl, reqLvl, class, subclass, maxStack, equipSlot, texture, vendorSellPrice = GetItemInfo(currentWeapon);
    if quality == QUALITY["ARTIFACT"] then
        openArtifactWeapon();
    else
        print("You do not have an Artifact Weapon equipped");
    end
end